curl --request POST \
--url https://scx-sbx.api.jtl-software.com/v1/channel/order/return \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sellerId": "4711",
"orderId": "43523-43432-43532",
"channelReturnId": "R12343",
"orderItem": [
{
"orderItemId": "5437233",
"quantity": "1.0",
"note": "<string>"
}
]
}
'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/channel/order/return"
payload = {
"sellerId": "4711",
"orderId": "43523-43432-43532",
"channelReturnId": "R12343",
"orderItem": [
{
"orderItemId": "5437233",
"quantity": "1.0",
"note": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sellerId: '4711',
orderId: '43523-43432-43532',
channelReturnId: 'R12343',
orderItem: [{orderItemId: '5437233', quantity: '1.0', note: '<string>'}]
})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/channel/order/return', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Return Announcement
Create a Return Announcement
Authorizations
As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.
Body
Announcement of a return shipment that the customer is sending back for a marketplace order.
A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.
^\w{1,50}$"4711"
1 - 150"43523-43432-43532"
Id used to identify an order return on Marketplace.
"R12343"
Details about what will be to returned to Seller. If the orderItem list is empty as Seller must expect that the whole order is returned.
Show child attributes
Show child attributes
Optional information about return tracking.
Show child attributes
Show child attributes
Response
Return announcement received
Was this page helpful?